

# DescribeBotRecommendation
<a name="API_DescribeBotRecommendation"></a>

Provides metadata information about a bot recommendation. This information will enable you to get a description on the request inputs, to download associated transcripts after processing is complete, and to download intents and slot-types generated by the bot recommendation.

## Request Syntax
<a name="API_DescribeBotRecommendation_RequestSyntax"></a>

```
GET /bots/botId/botversions/botVersion/botlocales/localeId/botrecommendations/botRecommendationId/ HTTP/1.1
```

## URI Request Parameters
<a name="API_DescribeBotRecommendation_RequestParameters"></a>

The request uses the following URI parameters.

 ** [botId](#API_DescribeBotRecommendation_RequestSyntax) **   <a name="lexv2-DescribeBotRecommendation-request-uri-botId"></a>
The unique identifier of the bot associated with the bot recommendation.  
Length Constraints: Fixed length of 10.  
Pattern: `^[0-9a-zA-Z]+$`   
Required: Yes

 ** [botRecommendationId](#API_DescribeBotRecommendation_RequestSyntax) **   <a name="lexv2-DescribeBotRecommendation-request-uri-botRecommendationId"></a>
The identifier of the bot recommendation to describe.  
Length Constraints: Fixed length of 10.  
Pattern: `^[0-9a-zA-Z]+$`   
Required: Yes

 ** [botVersion](#API_DescribeBotRecommendation_RequestSyntax) **   <a name="lexv2-DescribeBotRecommendation-request-uri-botVersion"></a>
The version of the bot associated with the bot recommendation.  
Length Constraints: Fixed length of 5.  
Pattern: `^DRAFT$`   
Required: Yes

 ** [localeId](#API_DescribeBotRecommendation_RequestSyntax) **   <a name="lexv2-DescribeBotRecommendation-request-uri-localeId"></a>
The identifier of the language and locale of the bot recommendation to describe. The string must match one of the supported locales. For more information, see [Supported languages](https://docs.aws.amazon.com/lexv2/latest/dg/how-languages.html).  
Required: Yes

## Request Body
<a name="API_DescribeBotRecommendation_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_DescribeBotRecommendation_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "botId": "string",
   "botRecommendationId": "string",
   "botRecommendationResults": { 
      "associatedTranscriptsUrl": "string",
      "botLocaleExportUrl": "string",
      "statistics": { 
         "intents": { 
            "discoveredIntentCount": number
         },
         "slotTypes": { 
            "discoveredSlotTypeCount": number
         }
      }
   },
   "botRecommendationStatus": "string",
   "botVersion": "string",
   "creationDateTime": number,
   "encryptionSetting": { 
      "associatedTranscriptsPassword": "string",
      "botLocaleExportPassword": "string",
      "kmsKeyArn": "string"
   },
   "failureReasons": [ "string" ],
   "lastUpdatedDateTime": number,
   "localeId": "string",
   "transcriptSourceSetting": { 
      "s3BucketTranscriptSource": { 
         "kmsKeyArn": "string",
         "pathFormat": { 
            "objectPrefixes": [ "string" ]
         },
         "s3BucketName": "string",
         "transcriptFilter": { 
            "lexTranscriptFilter": { 
               "dateRangeFilter": { 
                  "endDateTime": number,
                  "startDateTime": number
               }
            }
         },
         "transcriptFormat": "string"
      }
   }
}
```

## Response Elements
<a name="API_DescribeBotRecommendation_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [botId](#API_DescribeBotRecommendation_ResponseSyntax) **   <a name="lexv2-DescribeBotRecommendation-response-botId"></a>
The identifier of the bot associated with the bot recommendation.  
Type: String  
Length Constraints: Fixed length of 10.  
Pattern: `^[0-9a-zA-Z]+$` 

 ** [botRecommendationId](#API_DescribeBotRecommendation_ResponseSyntax) **   <a name="lexv2-DescribeBotRecommendation-response-botRecommendationId"></a>
The identifier of the bot recommendation being described.  
Type: String  
Length Constraints: Fixed length of 10.  
Pattern: `^[0-9a-zA-Z]+$` 

 ** [botRecommendationResults](#API_DescribeBotRecommendation_ResponseSyntax) **   <a name="lexv2-DescribeBotRecommendation-response-botRecommendationResults"></a>
The object representing the URL of the bot definition, the URL of the associated transcript and a statistical summary of the bot recommendation results.  
Type: [BotRecommendationResults](API_BotRecommendationResults.md) object

 ** [botRecommendationStatus](#API_DescribeBotRecommendation_ResponseSyntax) **   <a name="lexv2-DescribeBotRecommendation-response-botRecommendationStatus"></a>
The status of the bot recommendation. If the status is Failed, then the reasons for the failure are listed in the failureReasons field.   
Type: String  
Valid Values: `Processing | Deleting | Deleted | Downloading | Updating | Available | Failed | Stopping | Stopped` 

 ** [botVersion](#API_DescribeBotRecommendation_ResponseSyntax) **   <a name="lexv2-DescribeBotRecommendation-response-botVersion"></a>
The version of the bot associated with the bot recommendation.  
Type: String  
Length Constraints: Fixed length of 5.  
Pattern: `^DRAFT$` 

 ** [creationDateTime](#API_DescribeBotRecommendation_ResponseSyntax) **   <a name="lexv2-DescribeBotRecommendation-response-creationDateTime"></a>
The date and time that the bot recommendation was created.  
Type: Timestamp

 ** [encryptionSetting](#API_DescribeBotRecommendation_ResponseSyntax) **   <a name="lexv2-DescribeBotRecommendation-response-encryptionSetting"></a>
The object representing the passwords that were used to encrypt the data related to the bot recommendation results, as well as the KMS key ARN used to encrypt the associated metadata.  
Type: [EncryptionSetting](API_EncryptionSetting.md) object

 ** [failureReasons](#API_DescribeBotRecommendation_ResponseSyntax) **   <a name="lexv2-DescribeBotRecommendation-response-failureReasons"></a>
If botRecommendationStatus is Failed, Amazon Lex explains why.  
Type: Array of strings

 ** [lastUpdatedDateTime](#API_DescribeBotRecommendation_ResponseSyntax) **   <a name="lexv2-DescribeBotRecommendation-response-lastUpdatedDateTime"></a>
The date and time that the bot recommendation was last updated.  
Type: Timestamp

 ** [localeId](#API_DescribeBotRecommendation_ResponseSyntax) **   <a name="lexv2-DescribeBotRecommendation-response-localeId"></a>
The identifier of the language and locale of the bot recommendation to describe.  
Type: String

 ** [transcriptSourceSetting](#API_DescribeBotRecommendation_ResponseSyntax) **   <a name="lexv2-DescribeBotRecommendation-response-transcriptSourceSetting"></a>
The object representing the Amazon S3 bucket containing the transcript, as well as the associated metadata.  
Type: [TranscriptSourceSetting](API_TranscriptSourceSetting.md) object

## Errors
<a name="API_DescribeBotRecommendation_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** InternalServerException **   
The service encountered an unexpected condition. Try your request again.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
You asked to describe a resource that doesn't exist. Check the resource that you are requesting and try again.  
HTTP Status Code: 404

 ** ThrottlingException **   
Your request rate is too high. Reduce the frequency of requests.    
 ** retryAfterSeconds **   
The number of seconds after which the user can invoke the API again.
HTTP Status Code: 429

 ** ValidationException **   
One of the input parameters in your request isn't valid. Check the parameters and try your request again.  
HTTP Status Code: 400

## See Also
<a name="API_DescribeBotRecommendation_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/models.lex.v2-2020-08-07/DescribeBotRecommendation) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/models.lex.v2-2020-08-07/DescribeBotRecommendation) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/models.lex.v2-2020-08-07/DescribeBotRecommendation) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/models.lex.v2-2020-08-07/DescribeBotRecommendation) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/models.lex.v2-2020-08-07/DescribeBotRecommendation) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/models.lex.v2-2020-08-07/DescribeBotRecommendation) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/models.lex.v2-2020-08-07/DescribeBotRecommendation) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/models.lex.v2-2020-08-07/DescribeBotRecommendation) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/models.lex.v2-2020-08-07/DescribeBotRecommendation) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/models.lex.v2-2020-08-07/DescribeBotRecommendation) 